#include <iostream>

using namespace std;

int main()
{
    string T, S;
    getline(cin, T);
    getline(cin, S);
    int br = 0, bra = 0, brb = 0, brp;
    bool bol = true, brojac = true;
    for(int i = 0; i < S.size()-1; i++) {
        if(S[i] != S[i+1]) {
            bol = false;
        }
    }
    if(S.size() == 1) {
        for(int i = 0; i < T.size(); i++) {
            if(T[i] == S[0]) {
                T[i] = '*';
                br++;
            }
        }
        cout << br;
    }else if(bol) {
        for(int i = 0; i < T.size(); i++) {
            if(T[i] == S[0]) {
                bra++;
            }
        }
        for(int i = 0; i < T.size(); i++) {
            if(T[i] == S[0] && br <= bra - S.size()) {
                T[i] = '*';
                br++;
            }
        }
        cout << br;
    }else if(S.size() == 2) {
        for(int i = 0; i < T.size(); i++) {
            if(T[i] == S[0]) {
                if (brojac) {
                    brojac = false;
                }
                bra++;
            }else if (T[i] == S[1]) {
                if (!brojac) {
                    brojac = true;
                    br++;
                }
                brb++;
            }
        }
        brp = br;
        if(bra > brb) {
            for(int i = 0; i < T.size(); i++) {
                if(br > 0 && T[i] == S[1]) {
                    T[i] = '*';
                    br = br - 1;
                }
            }
        }else {
            for(int i = 0; i < T.size(); i++) {
                if(br > 0 && T[i] == S[0]) {
                    T[i] = '*';
                    br = br - 1;
                }
            }
        }
        cout << brp;
    }

    cout << endl << T << endl;
}